View Issue Details

IDProjectCategoryView StatusLast Update
0002085unrealircdpublic2004-10-11 17:56
ReporterStealthAssigned Tocodemastr 
PrioritynormalSeveritytweakReproducibilityN/A
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in Version3.2.2 
Summary0002085: multiple types in except tkl
DescriptionI think the except tkl block should be able to handle multiple types. This would save alot of space in the conf.

maybe it can be something like:

except tkl {
      mask <hostmask>;
      type { <type1>; <type2>; };
};

This way will also be easily backwords compatible to the old conf's with the single type (without the { and };)
TagsNo tags attached.
3rd party modules

Activities

JasonTik

2004-09-21 23:26

reporter   ~0007754

*votes for it*

al5001

2004-09-22 02:04

reporter   ~0007758

Good idea, I'm in on this one.

medice

2004-09-23 17:01

reporter   ~0007771

sounds good - never thought of it, but you made a good point...

aquanight

2004-09-24 02:47

reporter   ~0007782

I guess for even more space saving, add an except tkl::type = kline, so that except ban{} blocks can be compressed into this as well...

codemastr

2004-10-11 17:56

reporter   ~0007963

Added in .152

Issue History

Date Modified Username Field Change
2004-09-21 23:20 Stealth New Issue
2004-09-21 23:26 JasonTik Note Added: 0007754
2004-09-22 02:04 al5001 Note Added: 0007758
2004-09-23 17:01 medice Note Added: 0007771
2004-09-24 02:47 aquanight Note Added: 0007782
2004-09-26 19:54 codemastr Status new => assigned
2004-09-26 19:54 codemastr Assigned To => codemastr
2004-10-11 17:56 codemastr Status assigned => resolved
2004-10-11 17:56 codemastr Fixed in Version => 3.2.2
2004-10-11 17:56 codemastr Resolution open => fixed
2004-10-11 17:56 codemastr Note Added: 0007963